#!/bin/sh -e

tar xf smstools-3.1.21-r2.apk

install -Dm644 etc/smsd.conf "$1/etc/smsd.conf"
install -Dm644 etc/logrotate.d/smsd "$1/etc/logrotate.d/smsd"

install -Dm755 usr/bin/sendsms "$1/usr/bin/sendsms"

install -Dm 755 usr/sbin/smsd "$1/usr/bin/smsd"

mkdir -p "$1/var/log/smsd"
mkdir -p "$1/var/spool/sms/outgoing"
mkdir -p "$1/var/spool/sms/incoming"
mkdir -p "$1/var/spool/sms/checked"
